This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 429866 - Daily summary email lists duplicate errata update listed
Daily summary email lists duplicate errata update listed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
rhn500
All Linux
low Severity low
: ---
: ---
Assigned To: Mike Orazi
Amy Owens
US=19788
:
Depends On:
Blocks: 431812 443075
  Show dependency treegraph
 
Reported: 2008-01-23 10:22 EST by daryl herzmann
Modified: 2010-10-22 17:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.0.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 16:21:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
RHN Status Email for 23 Jan 2008 (1.85 KB, text/plain)
2008-01-23 10:22 EST, daryl herzmann
no flags Details
RHN Status Email for 15 Feb 2008 (1.99 KB, text/plain)
2008-02-15 10:48 EST, daryl herzmann
no flags Details

  None (edit)
Description daryl herzmann 2008-01-23 10:22:22 EST
The "RHN Daily Status Report" for my account on hosted will list errata twice,
for instance:

                         Failed Queued  Completed       
Errata Update:
        RHBA-2008:0057            49
        RHBA-2008:0057            19

If there is something different about those two entries, it should be included
in the email.  Attached is my email for today showing this.
Comment 1 daryl herzmann 2008-01-23 10:22:22 EST
Created attachment 292650 [details]
RHN Status Email for 23 Jan 2008
Comment 4 daryl herzmann 2008-02-15 10:48:50 EST
Created attachment 295017 [details]
RHN Status Email for 15 Feb 2008

RHSA-2008:0132 is listed twice.
Comment 10 Mike Orazi 2008-04-09 23:12:21 EDT
The duplicates appear as a result of an aggregation & formatting error in the
creation of this email.  

The duplicate lines appear to be reporting for instance:

                         Failed Queued  Completed       
Errata Update:
        ADVISORY1                  10
        ADVISORY1                  2

where it should look like:

                         Failed Queued  Completed       
Errata Update:
        ADVISORY1            10     2

or at least:

                         Failed Queued  Completed       
Errata Update:
        ADVISORY1           10
        ADVISORY1                  2
       

See:  https://bugzilla.redhat.com/show_bug.cgi?id=429867 for additional
information regarding the formatting issues with this email.
Comment 12 Mike Orazi 2008-04-30 21:17:00 EDT
First cut at combining actions is in rev 118727.  The resulting email fragment
currently will follow a pattern similar to:

                              Failed    Queued    Completed

Errata Update:  ADVISORY1        1         0          4
Different Action2                0         3          4
Different Action3                1         1          1

Test plan:  Create DailySummaryEmails with a variety of errata + non-errata
actions, with multiple status.  Ensure that each action is listed only once, and
that the counts are correct.

Note You need to log in before you can comment on or make changes to this bug.